MW-1.29.0-wmf.16 deployment blockers
Closed, ResolvedPublic

greg created this task.Feb 24 2017, 9:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2017, 9:11 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-14T15:18:39Z] <twentyafterfour> preparing to branch 1.29.0-wmf.16 refs T158997

mmodell raised the priority of this task from "Normal" to "High".Mar 14 2017, 4:36 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-14T19:18:49Z] <twentyafterfour@tin> Started scap: full scap of new branch, move test wikis to 1.29.0-wmf.16 refs T158997

wmf.16 uses elastic search 5 (hosted in codfw). Will be keeping an eye out for any search-related issues in this branch. See T157479: Put together a production migration plan for ES 2 -> ES 5

Mentioned in SAL (#wikimedia-operations) [2017-03-14T20:14:55Z] <twentyafterfour@tin> Finished scap: full scap of new branch, move test wikis to 1.29.0-wmf.16 refs T158997 (duration: 56m 05s)

Mentioned in SAL (#wikimedia-operations) [2017-03-15T20:30:53Z] <twentyafterfour> T160569 blocks the train until I can figure out what is causing it. The frequency is low so I haven't reverted to wmf.15, group 1 remains on wmf.16 refs T158997

Mentioned in SAL (#wikimedia-operations) [2017-03-15T21:01:32Z] <twentyafterfour@tin> Synchronized wmf-config: deploy I489c4aa1b862f053b0cb385d509f9ac5f8c6deca to fix 160569 and unblock the train refs T158997 (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2017-03-15T21:29:00Z] <twentyafterfour@tin> Synchronized wmf-config: deploy Iad984924671b499aea19ef536ec6367e73a84a7c to fix 160569 and unblock the train refs T158997 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2017-03-15T21:54:50Z] <twentyafterfour@tin> Synchronized wmf-config/CirrusSearch-common.php: Deploy I67d71217d16cd75a2646cf658cead2c5fd740cd9 refs T160569 and T158997 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-03-15T22:51:07Z] <twentyafterfour@tin> Synchronized wmf-config/CirrusSearch-common.php: Deploy I4980daf73d5a98afedfae4a254a88ea078912296 refs T160569 and T158997 (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-03-15T23:32:04Z] <twentyafterfour@tin> Synchronized php-1.29.0-wmf.16/extensions/ApiFeatureUsage/ApiFeatureUsageQueryEngineElastica.php: deploy I2d8603cef61723ddcc8c1d37566c334333422248 refs T160578 T158997 (duration: 00m 42s)

mmodell closed this task as "Resolved".Mar 22 2017, 7:20 AM